function [F] = FmatSIR2node(X,theta)
%Jacobian of alpha for use in the forward time step of the LNA

%X_t=(S_1,t , I_1,t , S_2,t , I_2,t )
%theta=(beta, gamma, alpha12, alpha21)

%S_1,t=X(1)
%I_1,t=X(2)
%S_2,t=X(3)
%I_2,t=X(4)
%beta=theta(1)
%gamma=theta(2)
%alpha12=theta(3)
%alpha21=theta(4)

F=zeros(4,4);

F(1,1)=-theta(1)*(X(2)+theta(4)*X(4));
F(2,1)=theta(1)*(X(2)+theta(4)*X(4));
F(3,1)=0;
F(4,1)=0;

F(1,2)=-theta(1)*X(1);
F(2,2)=theta(1)*X(1)-theta(2);
F(3,2)=-theta(1)*theta(3)*X(3);
F(4,2)=theta(1)*theta(3)*X(3);

F(1,3)=0;
F(2,3)=0;
F(3,3)=-theta(1)*(X(4)+theta(3)*X(2));
F(4,3)=theta(1)*(X(4)+theta(3)*X(2));

F(1,4)=-theta(1)*theta(4)*X(1);
F(2,4)=theta(1)*theta(4)*X(1);
F(3,4)=-theta(1)*X(3);
F(4,4)=theta(1)*X(3)-theta(2);

end 
