 function [A] = alphaSIR2node(X,theta)

%drift function for 2 node SIR with 
%X_t=(S_1,t , I_1,t , S_2,t , I_2,t )
%theta=(beta, gamma, alpha12, alpha21)

%S_1,t=X(1)
%I_1,t=X(2)
%S_2,t=X(3)
%I_2,t=X(4)
%beta=theta(1)
%gamma=theta(2)
%alpha12=theta(3)
%alpha21=theta(4)

a1=-theta(1)*(X(2)+theta(4)*X(4))*X(1);
a2=-a1-theta(2)*X(2);
a3=-theta(1)*(X(4)+theta(3)*X(2))*X(3);
a4=-a3-theta(2)*X(4);

A=[a1,a2,a3,a4];

end 
